## freedoom 0.5

=== Makefile ===

WADS=wads
CPP=/usr/bin/cpp
DEUTEX=deutex
DEUTEX_BASIC_ARGS=-fullsnd -rate accept -rgb 0 255 255
DEUTEX_ARGS=$(DEUTEX_BASIC_ARGS) -doom2 bootstrap/

OBJS = \
	$(WADS)/freedoom.wad          \
	$(WADS)/freedoom_graphics.wad \
	$(WADS)/freedoom_levels.wad   \
	$(WADS)/freedoom_sprites.wad  \
	$(WADS)/freedoom_sounds.wad   \
	$(WADS)/freedoom_textures.wad \
	$(WADS)/doom1.wad	          \
	$(WADS)/doom2.wad             \
	$(WADS)/freedm.wad

# disable this for now
#	$(WADS)/freedoom_hires.zip

all : $(OBJS)

subdirs:
	make -C graphics/titlepic
	make -C lumps
	make -C sprites/jond/placeholder

# this is a useless dependency to force builds

force:

# build texture1.txt for different builds

textures/doom2/texture1.txt: textures/combined.txt
	$(CPP) -DDOOM1 -DDOOM2 < $< > $@
textures/doom/texture1.txt: textures/combined.txt
	$(CPP) -DDOOM1 < $< > $@
textures/freedm/texture1.txt: textures/combined.txt
	$(CPP) -DFREEDM < $< > $@
textures/shareware/texture1.txt: textures/combined.txt
	$(CPP) -DSHAREWARE < $< > $@

textures/%/pnames.txt: textures/%/texture1.txt
	./extract-pnames.pl < $< > $@

# update wadinfo.txt

wadinfo.txt: buildcfg.txt force textures/doom2/pnames.txt
	$(CPP) -P -DDOOM2 < $< | ./wadinfo-builder.pl > $@
wadinfo_sw.txt: buildcfg.txt force textures/shareware/pnames.txt
	$(CPP) -P -DSHAREWARE < $< | ./wadinfo-builder.pl -dummy > $@
wadinfo_iwad.txt: buildcfg.txt force textures/doom2/pnames.txt
	$(CPP) -P -DDOOM2 < $< | ./wadinfo-builder.pl -dummy > $@
wadinfo_freedm.txt : buildcfg.txt force textures/freedm/pnames.txt
	$(CPP) -P -DFREEDM < $< | ./wadinfo-builder.pl -dummy > $@

%.wad.gz: %.wad
	gzip < $< > $@
	chmod o-r $<
	md5sum $<.gz > $<.md5sum
	rm -f $<

#---------------------------------------------------------
# build wad

$(WADS)/freedoom.wad: wadinfo.txt subdirs force 
	ln -sf doom2/texture1.txt textures/texture1.txt
	rm -f $@
	$(DEUTEX) $(DEUTEX_ARGS) -textures -lumps -patch -flats -sounds -musics -graphics -sprites -build wadinfo.txt $@

#---------------------------------------------------------
# freedm iwad

$(WADS)/freedm.wad: wadinfo_freedm.txt subdirs force 
	ln -sf freedm/texture1.txt textures/texture1.txt
	rm -f $@
	$(DEUTEX) $(DEUTEX_ARGS) -iwad -build wadinfo_freedm.txt $@

#---------------------------------------------------------
# iwad

$(WADS)/doom2.wad: wadinfo_iwad.txt subdirs force 
	ln -sf doom2/texture1.txt textures/texture1.txt
	rm -f $@
	$(DEUTEX) $(DEUTEX_ARGS) -iwad -textures -lumps -patch -flats -sounds -musics -graphics -sprites -levels -build wadinfo_iwad.txt $@

#---------------------------------------------------------
# graphics wad

$(WADS)/freedoom_graphics.wad : wadinfo.txt subdirs force 
	rm -f $@
	$(DEUTEX) $(DEUTEX_ARGS) -graphics -lumps -build wadinfo.txt $@

#---------------------------------------------------------
# build levels wad

$(WADS)/freedoom_levels.wad : wadinfo.txt force 
	rm -f $@
	$(DEUTEX) $(DEUTEX_ARGS) -levels -build wadinfo.txt $@

#---------------------------------------------------------
# build texture wad

$(WADS)/freedoom_textures.wad : wadinfo.txt force 
	ln -sf doom2/texture1.txt textures/texture1.txt
	rm -f $@
	$(DEUTEX) $(DEUTEX_ARGS) -textures -patch -flats -build wadinfo.txt $@

#---------------------------------------------------------
# build sprites wad

$(WADS)/freedoom_sprites.wad : wadinfo.txt force 
	rm -f $@
	$(DEUTEX) $(DEUTEX_ARGS) -sprites -build wadinfo.txt $@

#---------------------------------------------------------
# build sounds wad

$(WADS)/freedoom_sounds.wad : wadinfo.txt force 
	rm -f $@
	$(DEUTEX) $(DEUTEX_ARGS) -sounds -musics -build wadinfo.txt $@

#---------------------------------------------------------
# shareware iwad
# 
# deutex doesnt allow redirects for the filenames in the texture
# entries, so we have to change the texture1 symlink to point
# to the shareware wad

$(WADS)/doom1.wad : wadinfo_sw.txt force
	ln -sf shareware/texture1.txt textures/texture1.txt
	rm -f $@
	$(DEUTEX) $(DEUTEX_ARGS) -iwad -build wadinfo_sw.txt $@

dist : $(OBJS)
	./makepkgs $(OBJS)

clean:
	rm -f	deutex.log $(OBJS) \
		./wadinfo.txt ./wadinfo_sw.txt \
		./wadinfo_freedm.txt ./wadinfo_iwad.txt \
		 ./lumps/freedoom.lmp \
		./textures/doom2/pnames.txt \
		./textures/doom2/texture1.txt \
		./textures/freedm/pnames.txt \
		./textures/freedm/texture1.txt \
		./textures/shareware/pnames.txt \
		./textures/shareware/texture1.txt \
		./textures/texture1.txt

	make -C lumps clean
	make -C graphics/titlepic clean
	make -C sprites/jond/placeholder clean

=== lumps/cph/misc-lumps/Makefile ===
all             :       playpal.lmp colormap.lmp

playpal.lmp	:	playpal-base.lmp playpal.pl
	./playpal.pl playpal-base.lmp > playpal.lmp

colormap.lmp	:	playpal.lmp colormap.pl
	./colormap.pl playpal.lmp > colormap.lmp

SOURCES=playpal.pl colormap.pl COPYING Makefile
VERSION=0.0.1

dist		:	doom-misc-lumps-$(VERSION).tar.gz

doom-misc-lumps-$(VERSION).tar.gz       :       $(SOURCES)
	tar czf $@ $(SOURCES)

clean:
	rm -f playpal.lmp colormap.lmp doom-misc-lumps-$(VERSION).tar.gz

.PHONY  :       dist clean

## freedoom 0.4.1-1

=== debian/changelog ===
freedoom (0.4.1-1) unstable; urgency=low

  [ Gonéri Le Bou ]
  * New upstream release
  * Added watch file
 
 -- Moritz Muehlenhoff <jmm@debian.org>  Wed, 22 Mar 2006 22:24:30 +0100

freedoom (0.4-1) unstable; urgency=low

  * New upstream release (Closes: #348152)
  * Changed dependency on prboom | doom-engine into a recommendation to
    prevent circular dependencies with prboom

 -- Moritz Muehlenhoff <jmm@debian.org>  Mon,  2 Jan 2006 13:30:42 +0100

freedoom (0.3-2) unstable; urgency=low

  * Add alternative to allow freedoom's WAD file to co-exist with the
    WAD file packages generated by the upcoming doom-data installer.
    (Closes: #327500)
  * Bumped Standards-Version (no changed needed).

 -- Moritz Muehlenhoff <jmm@inutil.org>  Tue, 13 Sep 2005 15:46:50 +0200

freedoom (0.3-1) unstable; urgency=low

  * New upstream release

 -- Moritz Muehlenhoff <jmm@inutil.org>  Sun,  2 Jan 2005 16:27:20 +0100

freedoom (0.2-2) unstable; urgency=low

  * Depend on doom-engine, instead of only recommending it.
    (Closes: #270037)

 -- Moritz Muehlenhoff <jmm@inutil.org>  Wed, 22 Sep 2004 23:12:26 +0200

freedoom (0.2-1) unstable; urgency=low

  * Initial Release. (Closes: #206139)

 -- Moritz Muehlenhoff <jmm@inutil.org>  Sun, 18 Jul 2004 14:29:43 +0200

=== debian/control ===
Source: freedoom
Section: games
Priority: optional
Maintainer: Debian Games Group <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Moritz Muehlenhoff <jmm@debian.org>
Build-Depends: debhelper (>= 4)
Standards-Version: 3.6.2.1

Package: freedoom
Architecture: all
Recommends: prboom | doom-engine
Provides: doom-wad
Description: free game files for the 3D game DOOM
 Freedoom is a project to create a complete Doom II-compatible IWAD file
 which is Free Software.
 .
 The IWAD file is the file used by Doom which contains all the game data
 (graphics, sound effects, music, etc.). While the Doom source code is
 Free, you currently still need one of the proprietary IWAD files from id
 in order to play Doom. Freedoom aims to create a Free alternative.
 .
 Combined with the GPL-licensed Doom source code this will result in a
 complete Free Doom-based game.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
#export DH_COMPAT=3

# No building here
build: 

clean:
	dh_testdir
	dh_testroot

	dh_clean

install:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	install -m 644 doom2.wad debian/freedoom/usr/share/games/freedoom

binary: binary-indep

binary-arch: 

binary-indep: install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs ChangeLog
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
# Watch control file for uscan
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# Find new files on sourceforge, for debscripts >= 2.9
http://qa.debian.org/watch/sf.php?project=freedoom freedoom-iwad-([\d.]*)\.zip

## freedoom 0.5+dfsg1

=== lumps/Makefile ===

all : freedoom.lmp misc-lumps

misc-lumps:
	make -C cph/misc-lumps

freedoom.lmp: force
	echo $(VERSION) > freedoom.lmp

force:

clean:
	make -C cph/misc-lumps clean

=== graphics/titlepic/Makefile ===
titlepic: freedoom.ppm freedm.ppm

freedoom.ppm: base.ppm
	./create_caption Freedoom $@

freedm.ppm: base.ppm
	./create_caption FreeDM $@

clean:
	rm -f freedm.ppm freedoom.ppm

.PHONY: clean

=== sprites/jond/placeholder/Makefile ===
# generates placeholder sprites for monsters
#
SPRITEDIR = ../..

# use the AOD skeleton for humanoid monsters
SKELDIR   = $(SPRITEDIR)/linguica/aoddoom_skeletons
SKELSRC   = $(wildcard $(SKELDIR)/sarg*)
VILEDEST  = $(notdir $(SKELSRC))

BSPISRC   = $(wildcard $(SPRITEDIR)/bspi*)
BOSSSRC   = $(wildcard $(SPRITEDIR)/boss*)
HEADSRC   = $(wildcard $(SPRITEDIR)/head*) 

ALLSRC    = $(HEADSRC) $(BOSSSRC) $(BSPISRC)
TARGETS   = $(notdir $(ALLSRC))

DUMMY     =../../dummy.gif
# TODO: if dst's width is < src's, src is clipped. Try to prevent this.
ARGS=-compose src-over -gravity center

foo: $(VILEDEST) $(TARGETS)

clean:
	rm -f $(VILEDEST) $(TARGETS)

$(TARGETS): $(DUMMY) Makefile
	composite $(ARGS) $(DUMMY) $(SPRITEDIR)/$@ $@

# special case since the source isn't in $(SPRITEDIR)
$(VILEDEST): $(DUMMY) Makefile
	composite $(ARGS) $(DUMMY) $(SKELDIR)/$@ $@

test:
	echo $(BSPISRC)
.PHONY: foo clean

## freedoom 0.6.2+dfsg1

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,6 @@
 
 OBJS = \
 	$(WADS)/freedoom.wad          \
-	$(WADS)/freedoom_graphics.wad \
 	$(WADS)/freedoom_levels.wad   \
 	$(WADS)/freedoom_sprites.wad  \
 	$(WADS)/freedoom_sounds.wad   \
@@ -41,8 +40,14 @@
 textures/shareware/texture1.txt: textures/combined.txt
 	$(CPP) -DSHAREWARE < $< > $@
 
-textures/%/pnames.txt: textures/%/texture1.txt
+textures/shareware/pnames.txt: textures/shareware/texture1.txt
 	./extract-pnames.pl < $< > $@
+textures/doom/pnames.txt: textures/doom/texture1.txt
+	./extract-pnames.pl -a > $@
+textures/doom2/pnames.txt: textures/doom2/texture1.txt 
+	./extract-pnames.pl -a > $@
+textures/freedm/pnames.txt: textures/freedm/texture1.txt
+	./extract-pnames.pl -a > $@
 
 # update wadinfo.txt
 
@@ -84,13 +89,6 @@
 	ln -sf doom2/texture1.txt textures/texture1.txt
 	rm -f $@
 	$(DEUTEX) $(DEUTEX_ARGS) -iwad -textures -lumps -patch -flats -sounds -musics -graphics -sprites -levels -build wadinfo_iwad.txt $@
-
-#---------------------------------------------------------
-# graphics wad
-
-$(WADS)/freedoom_graphics.wad : wadinfo.txt subdirs force 
-	rm -f $@
-	$(DEUTEX) $(DEUTEX_ARGS) -graphics -lumps -build wadinfo.txt $@
 
 #---------------------------------------------------------
 # build levels wad

## freedoom 0.6.4

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,35 @@
+# Copyright (c) 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008
+# Contributors to the Freedoom project.  All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+#  * Redistributions of source code must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+#  * Redistributions in binary form must reproduce the above copyright
+#    notice, this list of conditions and the following disclaimer in the
+#    documentation and/or other materials provided with the distribution.
+#  * Neither the name of the freedoom project nor the names of its
+#    contributors may be used to endorse or promote products derived from
+#    this software without specific prior written permission.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
+# IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
+# TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
+# PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER
+# OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
+# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
+# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
+# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
+# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 
 WADS=wads
-CPP=/usr/bin/cpp
+CPP=scripts/simplecpp
 DEUTEX=deutex
-DEUTEX_BASIC_ARGS=-fullsnd -rate accept -rgb 0 255 255
+DEUTEX_BASIC_ARGS=-v0 -fullsnd -rate accept -rgb 0 255 255
 DEUTEX_ARGS=$(DEUTEX_BASIC_ARGS) -doom2 bootstrap/
 
 OBJS = \
@@ -13,6 +40,7 @@
 	$(WADS)/freedoom_textures.wad \
 	$(WADS)/doom1.wad	          \
 	$(WADS)/doom2.wad             \
+	$(WADS)/doom.wad	      \
 	$(WADS)/freedm.wad
 
 # disable this for now
@@ -34,31 +62,33 @@
 textures/doom2/texture1.txt: textures/combined.txt
 	$(CPP) -DDOOM1 -DDOOM2 < $< > $@
 textures/doom/texture1.txt: textures/combined.txt
-	$(CPP) -DDOOM1 < $< > $@
+	$(CPP) -DDOOM1 -DULTDOOM < $< > $@
 textures/freedm/texture1.txt: textures/combined.txt
 	$(CPP) -DFREEDM < $< > $@
 textures/shareware/texture1.txt: textures/combined.txt
 	$(CPP) -DSHAREWARE < $< > $@
 
 textures/shareware/pnames.txt: textures/shareware/texture1.txt
-	./extract-pnames.pl < $< > $@
+	scripts/extract-pnames.py < $< > $@
 textures/doom/pnames.txt: textures/doom/texture1.txt
-	./extract-pnames.pl -a > $@
+	scripts/extract-pnames.py -a > $@
 textures/doom2/pnames.txt: textures/doom2/texture1.txt 
-	./extract-pnames.pl -a > $@
+	scripts/extract-pnames.py -a > $@
 textures/freedm/pnames.txt: textures/freedm/texture1.txt
-	./extract-pnames.pl -a > $@
+	scripts/extract-pnames.py -a > $@
 
 # update wadinfo.txt
 
 wadinfo.txt: buildcfg.txt force textures/doom2/pnames.txt
-	$(CPP) -P -DDOOM2 < $< | ./wadinfo-builder.pl > $@
+	$(CPP) -P -DDOOM2 < $< | scripts/wadinfo-builder.py > $@
 wadinfo_sw.txt: buildcfg.txt force textures/shareware/pnames.txt
-	$(CPP) -P -DSHAREWARE < $< | ./wadinfo-builder.pl -dummy > $@
+	$(CPP) -P -DSHAREWARE < $< | scripts/wadinfo-builder.py -dummy > $@
 wadinfo_iwad.txt: buildcfg.txt force textures/doom2/pnames.txt
-	$(CPP) -P -DDOOM2 < $< | ./wadinfo-builder.pl -dummy > $@
+	$(CPP) -P -DDOOM2 < $< | scripts/wadinfo-builder.py -dummy > $@
+wadinfo_ult.txt: buildcfg.txt force textures/doom/pnames.txt
+	$(CPP) -P -DDOOM1 -DULTDOOM < $< | scripts/wadinfo-builder.py -dummy > $@
 wadinfo_freedm.txt : buildcfg.txt force textures/freedm/pnames.txt
-	$(CPP) -P -DFREEDM < $< | ./wadinfo-builder.pl -dummy > $@
+	$(CPP) -P -DFREEDM < $< | scripts/wadinfo-builder.py -dummy > $@
 
 %.wad.gz: %.wad
 	gzip < $< > $@
@@ -89,6 +119,14 @@
 	ln -sf doom2/texture1.txt textures/texture1.txt
 	rm -f $@
 	$(DEUTEX) $(DEUTEX_ARGS) -iwad -textures -lumps -patch -flats -sounds -musics -graphics -sprites -levels -build wadinfo_iwad.txt $@
+
+#---------------------------------------------------------
+# udoom iwad
+
+$(WADS)/doom.wad: wadinfo_ult.txt subdirs force
+	ln -sf doom/texture1.txt textures/texture1.txt
+	rm -f $@
+	$(DEUTEX) $(DEUTEX_ARGS) -iwad -textures -lumps -patch -flats -sounds -musics -graphics -sprites -levels -build wadinfo_ult.txt $@
 
 #---------------------------------------------------------
 # build levels wad
@@ -132,13 +170,16 @@
 	$(DEUTEX) $(DEUTEX_ARGS) -iwad -build wadinfo_sw.txt $@
 
 dist : $(OBJS)
-	./makepkgs $(OBJS)
+	scripts/makepkgs $(OBJS)
 
 clean:
 	rm -f	deutex.log $(OBJS) \
 		./wadinfo.txt ./wadinfo_sw.txt \
 		./wadinfo_freedm.txt ./wadinfo_iwad.txt \
+		./wadinfo_ult.txt \
 		 ./lumps/freedoom.lmp \
+		./textures/doom/pnames.txt \
+		./textures/doom/texture1.txt \
 		./textures/doom2/pnames.txt \
 		./textures/doom2/texture1.txt \
 		./textures/freedm/pnames.txt \

=== graphics/titlepic/Makefile ===
titlepic: freedoom.gif freedm.gif

freedoom.gif: titlepic.gif
	./create_caption Freedoom $@

freedm.gif: titlepic.gif
	./create_caption FreeDM $@

clean:
	rm -f freedm.gif freedoom.gif

.PHONY: clean

=== sprites/jond/placeholder/Makefile ===
--- 
+++ 
@@ -8,10 +8,8 @@
 VILEDEST  = $(notdir $(SKELSRC))
 
 BSPISRC   = $(wildcard $(SPRITEDIR)/bspi*)
-BOSSSRC   = $(wildcard $(SPRITEDIR)/boss*)
-HEADSRC   = $(wildcard $(SPRITEDIR)/head*) 
 
-ALLSRC    = $(HEADSRC) $(BOSSSRC) $(BSPISRC)
+ALLSRC    = $(BSPISRC)
 TARGETS   = $(notdir $(ALLSRC))
 
 DUMMY     =../../dummy.gif

## freedoom 0.7

=== Makefile ===
--- 
+++ 
@@ -42,9 +42,6 @@
 	$(WADS)/doom2.wad             \
 	$(WADS)/doom.wad	      \
 	$(WADS)/freedm.wad
-
-# disable this for now
-#	$(WADS)/freedoom_hires.zip
 
 all : $(OBJS)
 
@@ -172,12 +169,17 @@
 dist : $(OBJS)
 	scripts/makepkgs $(OBJS)
 
+doc:
+	asciidoc BUILD-SYSTEM
+	asciidoc README
+
 clean:
-	rm -f	deutex.log $(OBJS) \
+	rm -f	*.html deutex.log $(OBJS) \
 		./wadinfo.txt ./wadinfo_sw.txt \
 		./wadinfo_freedm.txt ./wadinfo_iwad.txt \
 		./wadinfo_ult.txt \
-		 ./lumps/freedoom.lmp \
+		./lumps/freedoom.lmp \
+		./lumps/freedm.lmp \
 		./textures/doom/pnames.txt \
 		./textures/doom/texture1.txt \
 		./textures/doom2/pnames.txt \

=== lumps/Makefile ===

all : freedoom.lmp freedm.lmp misc-lumps

misc-lumps:
	make -C cph/misc-lumps

freedoom.lmp: force
	echo $(VERSION) > freedoom.lmp

freedm.lmp: force
	echo $(VERSION) > freedm.lmp

force:

clean:
	make -C cph/misc-lumps clean

=== lumps/cph/misc-lumps/Makefile ===
all             :       playpal.lmp colormap.lmp

playpal.lmp	:	playpal-base.lmp playpal.py
	./playpal.py playpal-base.lmp > playpal.lmp

colormap.lmp	:	playpal.lmp colormap.py
	./colormap.py playpal.lmp > colormap.lmp

SOURCES=playpal.py colormap.py COPYING Makefile
VERSION=0.0.1

dist		:	doom-misc-lumps-$(VERSION).tar.gz

doom-misc-lumps-$(VERSION).tar.gz       :       $(SOURCES)
	tar czf $@ $(SOURCES)

clean:
	rm -f playpal.lmp colormap.lmp doom-misc-lumps-$(VERSION).tar.gz

.PHONY  :       dist clean

## freedoom 0.7-1-maemo1

=== Makefile ===
--- 
+++ 
@@ -66,13 +66,13 @@
 	$(CPP) -DSHAREWARE < $< > $@
 
 textures/shareware/pnames.txt: textures/shareware/texture1.txt
-	scripts/extract-pnames.py < $< > $@
+	python2.5 scripts/extract-pnames.py < $< > $@
 textures/doom/pnames.txt: textures/doom/texture1.txt
-	scripts/extract-pnames.py -a > $@
+	python2.5 scripts/extract-pnames.py -a > $@
 textures/doom2/pnames.txt: textures/doom2/texture1.txt 
-	scripts/extract-pnames.py -a > $@
+	python2.5 scripts/extract-pnames.py -a > $@
 textures/freedm/pnames.txt: textures/freedm/texture1.txt
-	scripts/extract-pnames.py -a > $@
+	python2.5 scripts/extract-pnames.py -a > $@
 
 # update wadinfo.txt

=== debian/changelog ===
freedoom (0.7-1-maemo1) unstable; urgency=low

  * For Fremantle 
  * installs to the /opt

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Sun, 12 Jan 2012 18:46:01 +0000

freedoom (0.7-1) unstable; urgency=low

  * New upstream version.
  * adjust graphics/titlepic/create_caption to not be too
    clever.  This ensures the titlepic gets the correct version
    string appended.

 -- Jon Dowland <jmtd@debian.org>  Mon, 24 Jan 2011 22:30:01 +0000

freedoom (0.6.4-5) unstable; urgency=low

  * update VCS fields to reflect move to Git.
  * Remove Moritz Muehlenhoff from uploaders, by request.
    Thanks Moritz for your work!
  * adjust an Imagemagick/composite argument so that
    graphicsmagick works for builds (see #413954)
  * bump standards version
  * add misc:Depends for freedm (quiet, lintian!)

 -- Jon Dowland <jmtd@debian.org>  Fri, 03 Sep 2010 15:49:20 +0100

freedoom (0.6.4-4) unstable; urgency=low

  * Stop providing doom2.wad alternative: we are not
    vanilla compatible. Remove older alternatives in
    postinst for upgrades.
  * Adjust PATH in debian/rules to avoid needing to
    patch Makefile: thus, remove quilt dependency and
    patching boilerplate
  * bump Debhelper and compat to 7
  * changes for debhelper 7
  * install "freedm" and "freedoom" invoke-scripts into
    /usr/games and corresponding manpages. Reference
    the scripts in the .desktop files.
  * Remove lintian overrides. These were for calling
    "boom" in the desktop files but not installing it
    (fixed with invoke-scripts); creating a directory
    with no files in it (which we installed alternatives
    into).

 -- Jon Dowland <jmtd@debian.org>  Sat, 11 Jul 2009 12:31:40 +0100

freedoom (0.6.4-3) unstable; urgency=low

  * Bump debhelper dependency to match compat level
  * .desktop files reference "boom" not "doom"
  * conflicts prboom that provides: boom-engine but does not
    provide a /usr/games/boom alternative
  * Update homepage

 -- Jon Dowland <jmtd@debian.org>  Thu, 02 Jul 2009 18:29:42 +0100

freedoom (0.6.4-2) experimental; urgency=low

  * use python-minimal instead of python.
  * require boom-engine instead of doom-engine.

 -- Jon Dowland <jon@alcopop.org>  Wed, 17 Jun 2009 22:05:07 +0100

freedoom (0.6.4-1) unstable; urgency=low

  * Add Build-Depends-Indep: on python. Thanks Daniel Schepler
    and Peter Green. Closes: #521922
  * new upstream version, removing some non-free files.
    Closes: #533135
  * fixed watch file, thanks Marco Rodrigues. Closes: #531619
  * bump standards version.

 -- Jon Dowland <jon@alcopop.org>  Sun, 14 Jun 2009 18:05:07 +0100

freedoom (0.6.3-3) unstable; urgency=low

  * upload to unstable.

 -- Jon Dowland <jon@alcopop.org>  Sun, 15 Mar 2009 19:07:48 +0000

freedoom (0.6.3-2) experimental; urgency=low

  * fix watch file. Closes: #453552.

 -- Jon Dowland <jon@alcopop.org>  Sun, 18 Jan 2009 17:42:27 +0000

freedoom (0.6.3-1) experimental; urgency=low

  [ Ansgar Burchardt ]
  * debian/control: Add Homepage field

  [ Jon Dowland ]
  * new upstream version
  * remove version.patch: unnecessary with 0.6.3
  * update standards version

 -- Jon Dowland <jon@alcopop.org>  Fri, 02 Jan 2009 01:00:29 +0000

freedoom (0.6.2-1) unstable; urgency=low

  [ Jon Dowland ]
  * implement a new binary-package "freedm"

  [ Cyril Brulebois ]
  * Added XS-Vcs-Svn and XS-Vcs-Browser fields in the control file.

  [ Jon Dowland ]
  * move to quilt for patch management

  [ Ansgar Burchardt ]
  * debian/control: Change XS-Vcs-* to Vcs-*

  [ Jon Dowland ]
  * new upstream version (three, actually!).
  * Add a lintian override for empty-dir /usr/share/games/doom: we
    install an alternative into the directory.
  * bump standards version
  * Add .desktop files for the games (which use /usr/games/doom) and Depends:
    on doom-engine (packages which should provide an alternative for that
    binary)
  * Add icons generated at build-time
  * adjust alternatives priority to be in-line with the doom packaging
    guidelines

 -- Jon Dowland <jon@alcopop.org>  Thu, 20 Mar 2008 22:30:32 +0000

freedoom (0.5-1) unstable; urgency=low

  [ Jon Dowland ]
  * new upstream version
  * build system reworked to call upstream Makefile
  * Build-Depends needs gsfonts, imagemagick, deutex
  * add myself to uploaders
  * add VERSION file, missing upstream
  * explicitly specify /usr/games/deutex in Makefile
  * bump standards version

 -- Jon Dowland <jon@alcopop.org>  Thu,  7 Sep 2006 12:55:18 +0100

=== debian/control ===
Source: freedoom
Section: user/games
Priority: optional
Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
Build-Depends: debhelper (>= 7)
Build-Depends-Indep: deutex, imagemagick, gsfonts, python (>= 2.4)
Standards-Version: 3.9.1
Vcs-Git: git://git.debian.org/git/pkg-games/freedoom
Vcs-Browser: http://git.debian.org/?p=pkg-games/freedoom.git
Homepage: http://freedoom.nongnu.org/
XSBC-Bugtracker: http://freedoom.nongnu.org/
DM-Upload-Allowed: yes

Package: freedoom
Architecture: all
Depends: doom-engine, ${misc:Depends}
Provides: doom-wad
Description: free game files for the 3D game DOOM, uses boom-engine
 Freedoom is a project to create a complete Doom II-compatible IWAD file
 which is Free Software.
 .
 The IWAD file is the file used by Doom which contains all the game data
 (graphics, sound effects, music, etc.). While the Doom source code is
 Free, you currently still need one of the proprietary IWAD files from id
 in order to play Doom. Freedoom aims to create a Free alternative.
 .
 Combined with any boom compatible Doom engine (such as prboom) this will
 result in a complete Free Doom-based game.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
#export DH_COMPAT=3

# upstream makefile invokes 'deutex' which lives in
# /usr/games
PATH := /usr/games:$(PATH)

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build: configure-stamp build-stamp

build-stamp:
	dh_testdir
	$(MAKE) wads/doom2.wad
	#$(MAKE) wads/freedm.wad
	
	# icon stuff
	convert sprites/heada1.gif freedoom.xpm
	sed -i 's/cyan/None/' freedoom.xpm
	
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean
	$(MAKE) clean
	rm -f freedoom.xpm


install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	dh_install
	mv -i wads/doom2.wad debian/freedoom/opt/doom/wads/freedoom.wad

binary: binary-indep

binary-arch: 

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs -A
	dh_installman
	dh_installchangelogs ChangeLog
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## freedoom 0.7-1-maemo2

=== lumps/genmidi/Makefile ===

CFLAGS = -Wall
OBJS = genmidi-gen.o oplinstrs.o instrnames.o

genmidi.lmp : genmidi-gen
	./genmidi-gen $@

genmidi-gen : $(OBJS)
	$(CC) $(LDFLAGS) $(OBJS) -o $@

%.o : %.c
	$(CC) $(CFLAGS) -c $^ -o $@

clean:
	rm -f $(OBJS) genmidi-gen genmidi.lmp

=== debian/changelog ===
freedoom (0.7-1-maemo2) unstable; urgency=low

  * Icons fixed

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Tue, 14 Jan 2012 15:39:01 +0000

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
 Architecture: all
 Depends: doom-engine, ${misc:Depends}
 Provides: doom-wad
-Description: free game files for the 3D game DOOM, uses boom-engine
+Description: free game files for the 3D game DOOM II, uses prboom-engine
  Freedoom is a project to create a complete Doom II-compatible IWAD file
  which is Free Software.
  .
@@ -26,3 +26,122 @@
  .
  Combined with any boom compatible Doom engine (such as prboom) this will
  result in a complete Free Doom-based game.
+XB-Maemo-Icon-26:
+ iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
+ 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
+ SU1FB9wCDg0lEbmsMeEAABQYSURBVGjevZl5lFXVne8/+0x3qlu35iqqgKoC
+ BJkEVJCAEYkKBtvQbdKPKLH1makDK92roxHT5iU22m06OLznetjdy9WtSRo7
+ tC47RCUpccABiCaAE5NQFDXcqlvTne+Zz9nvD8BOjCKxm7fXOuuctffZe3+/
+ e//2b/8GwTkq9913n4jH43cCw+vWrXvkXM2jnKuBVVWd5DjO3a7rVjiH5ZwQ
+ 2LhxI4Zh5A8cOMBDDz1k/iF9N2zYwP+Xctttt0U2bNiQ+u26f9n45d8mIe+6
+ 665g2bJlMlXb0Ha6ft/GzwPw85///P1/H3300d8Bv2HDhl9u2LBh+tngEJ8E
+ /A9+8APDsqxnLdPs+uGmTff9dts/37vuhmK2vzOjzbuH0CM9OMS8SfoDS7Th
+ YkOi+uiMDY8/fvrfZ7qe3zQy0PvCLV/+8i9P191xxx3nhWH4spTy0k2bNh3/
+ OCzaJyHw6quvxqqrq6/smHrehd/74tL1VZojWlMJYroeiszhNr9+htHiFOWo
+ Vivap82QEwt7vnU4P4YiBt0H17TfU/LrFNNz2Pvk/2nXLlgtgV8e3LSWWd/e
+ QqVSWVBTUzMhkUjIs8FyRgLr16+fsHnz5qHbb7+dvzqvwoSvbuafv/KptvMv
+ mFJz/85BsvlC3dcWzqqL+GUy+Ty1VQnmL70aa/A9CqYpdoxmScSi4gtX38jO
+ 907gHnzFMGK1nX80tZVINA4gQ++1b//pAzcd6R8deR7oHR0dbTzvvPPo6Ojg
+ vyxC69atO1JVVfXUD3/4w+8AZB/7y6sGsoXnGlMJVj96IOxon6xcmRwkhs3K
+ hTNpbG6lUnYpFHK4jsuJ8RyaprFk/gIcx8ETkkgQEFEq7DqUwbQt6jRkKpUS
+ bhgyZvF3dz6f/uu2liZSqVR9b29vtqur6w/fgTVr1rB161ZUVU0rinLHoovm
+ r/nHP52B6zgthXyBne+8B4GqmKbJ1Gn1fOrii4kl4thjJ0gPDNEzMk5TIopt
+ 2Xiui1UpYFk2B48epTGVIp5IsHDWeeiaRjqdFm8e60HTdNlYU/PXjh9IKaXo
+ 7+/v6erqSn0iNbp161au+/wX7tHwl8eUQD59y/xO13Y7f7H33djz7x7njRPD
+ qIqgUqkwbdYCdK9Erv8Y6fQoI4UCw+UKhmHg2C69uTKeHyIUhaLjcjgzSv/g
+ EIeOHCGbzVKVTLJgWieqIsTx4XEUhLBtG8d1q1/9zmdaAJ6+deXZE3jwpksA
+ mFETZi/VulkVOyZ+tu8I29/upuvwAAOFMv/z8kVkTQfTk/S99y5vHzrEwaNH
+ OTowyJHhHA3xKNWpFGXXw3Y9EALP88ibLr1jJQ6M5DkwMMKhY930DaZxfZ+Z
+ k9uYO2Uyru/h+z6FsiULrja0/barr7v2/i5+sv6yD78wP1jR9Vaa+2+6ZEpH
+ zHumYrli55EBjowWOTxSZPW8qdy47GIaqyJc2qrzqaYQTdrkyhaDxQoDhQqe
+ F3DJ9E4Mw8BzXSRQH4+iqgqHB4bJj/Ti+IKSG1L0fGQQkC2WMW0Tx/Z49miJ
+ eEQnXyiKjoSLbihr/vji9v4bN7+y/8GbLqHrrfRHE7j3f1zElElRUaXrWYHg
+ V33DonusRNb0uXZeJ3988SzK5TKmZVEwSziez3DJJFuyGDMdTNOjpSZBR3MD
+ EcOgobaGmoiG73nE43EIfAZG0liBgqZHsV0fK/ABCAMYq9i8PerjBSHDI6PM
+ aVEZKVrS0NTVV8yd8Mtv/fiN9EeK0PqVM8R3/n0vndW1G2viUboO9ouj6Twj
+ IxZLO5q4cnobuUKR8WKZ7tFxBnMm/bkSY0WLnO2SyVUICZnV1kw8FiMMQ6Qe
+ oXlSBzIMCYOAVHMLdqKJnBVg+yeBF8ouQ9kKoxUTlYCvzI+xpFXFsiymT55I
+ n+mJY8M5Ain/AuDrn79I/J4aXbdiOg8/9x5f+cy05+ZOqr/qqf0npFX2hecH
+ XNBZxw2XzKA1VYXpefRkC2QKJrbt48sQy/MpmC5VUY2V82cwf2oHjusyNj6O
+ Ho+TjETo6+ujubkZx3F4q+Cw9+BRKmWTpmQcKSUSEAJUIUhFIzRURxnOW2Sr
+ G+jrHcP3yjKKI/RUTfofn9w7cfXSqWLbrm75vgj9unucP79q+lPzJzVc8x9v
+ HaeUc4TrOdQ3xFjU3kRjMk7ZdRkpWRQrDvmKgx+GmJ5PyfapT0ZYNW8Ol140
+ F6O6mkLJolQucWRwDFURdHR0UCwVKdoWc5ubSKghRTegbNsEEhQhEAgqrkfJ
+ 9ZAB1KdiVDkmOQndPeNiYLiI7wfJ6ZNqv/b0np77m1MRKk5w8h64dfXsqxOa
+ 9ic73umVY6OmqKuN0lBbg1DA9n2Oj+QRisDzA5wwxA9CTN8jGdVZOKWVhbNm
+ 0jLjjxBNOrLzfNrCJA9fv4jPXbqYXN0UrJ43yQwPMXVSG7YfYensK8m3Zuh7
+ 5zeMDA5QcaE6aqAIgSIEVhBg2z6KImjVfdLJKLZtkS9WRLpgxuoT+tLhgrOr
+ ORVBlVKq+5959ODbg1ml6Pqic0KKmmSUKkOnWtOwvAA/DCg5LuMVB8f3qUvG
+ uGhSEwunTGJ2x0QmXLwSJSbBszjx/JP8+6P/l8GxMd4csskMjzJUKTHzuts5
+ 9O4eCuP9xI2AxTOnEQtMynqCsFJgsGRR8QLcIKQ2EUGogpLlEgYhofAYL9oE
+ AYSOG7N8eUsypr02XHB6RH3SkIFQw5XzmxWpQExV35fLmKqiKwpSnrSrzCBg
+ en0Ny2e2UVuVxPF9dF2nKhal7Eue3bOXfUM5qgLB4qtXMX/ZVRTyeQzfZecL
+ LzJn0XLGd/4LAdC29HO0pffiex5v2yoHDh2jv1whoihMSSWpSUawbB/T87A8
+ n+5Rk970OGOuREiJ74fXDubsZ4RQFGmogmWzmpg1sYaS7YEALwyRQERRiKgq
+ Rc8jFdG5fPokJtVWMVYyGS5bhGHIwsktvFLU6Hr6BUbCAD1jM2V6wKrFCUo5
+ Ey86H715Kp4H7tB7WL4k8F2iRoR4RCemqsSjOrmKTYgkoqhUgoCK6WJ6HhXH
+ o+T7HB9yODo4ysyJjWQtf9vhE0Nf1CJGBMexcSQkIzr18ShZ06Lo+HhhiBuG
+ +FLihSFlx2e8ZOKGPoO5CmXLJaKp7OnN8GbPCOURmzCi8M3bp5GIh9RFoWKF
+ aNEiz96zk/45NVzUGCUIJL5UKDseBcvBC0ISEZ0pzSnGSja+PHkGflddCsbt
+ MqPlkNh4QTpesDoa0RNK0giQErrTRfrGyyhCUBeP/Z6ZGlVVDFXhxHiR7qEC
+ 2bJFyXUpuR77e0co2A7piEKLU2bNne8gjICvb+6n8fJqUo0xEu0jFF/uYeeR
+ EcZMC9P1sDwPNwhAQNF26R8toyFwPB/JSTGWp+CXPZ9s3kU9qUyE6waoioKC
+ BEWA6XhkXZe8bVNfHSWq/+clHVEUktpJwzVvuYyZFo4fkDM9unMlxiyHnOnS
+ UnE5aBnc9X2Na9ZneGf3RuZf2Mu+fVn2/SrE9izCksVg2SJTsbH8gKiuoasK
+ puNjei6jFYvxoo3l+Ti+j+352EHASN5mtBRSG4WYEKiaQjSqnVSjqgJeqJCv
+ eDRPSxDXdQq2RyXwSWga9qnzoCsKFd8nGdWJaCp+IPGdEJuAjvoq+sdMOvqL
+ PL8Rnnna4/zmn+D6Pq8fHGUGISKq0dJeS1JVyTkuhNBaW8Wx0QIAuYpLJfAp
+ Wh5xQ2NiKoYQAgmMFS2CMKApaZBMRrHHTPxT/kCvEMRdz2/UdSFb6lLCsWzK
+ vkcoIKnrZG2HYcuhsyZGgIaPSqlkEdVVJlRFmajEAaia18Zvqg2ix/Kob5v8
+ IvkuHabH+YGkPKOO2dMaSQmV0bJDcyLO5MYaFk/r4N3MO/jSfd+8QAE3DMiZ
+ LsmojhuGFCs+dTFIJuMYCRUnE/qOEwbaaMnt0OI0f6Z54o7LG1vnxsREtr/5
+ MjONWqprUljj4/yiN0vg+qjT26FmKqNeSL0yRj4QKFINT/R0K4GUYTKiKxFh
+ 0N+colQyiQNDCYNcPMqcqqTs6SuLI8NlhvIuQRggg5CLZqS5bNFseSKdEXFD
+ xw9CxiyXxYkYE2IGlu/xi2OHGK+EIQFKpuS6UyKRuyfoPPqbcTevNacMhgvu
+ 8HeXXvpqKOVcL+PQ9eYg/7B4sWyoahMHenKyJ2OKiRNakKkpEhmK2poUfliN
+ EBAKRdl1eHe7bhi9p46MFB90VSumHBg1BZI3fZTlNYloWDHNghSit2nK7AcP
+ j8r/3TljMfv27SUaq0LT89QOF1hwwYVy97Gj4t3eAoamKRIx9Uh/2TrSlx8C
+ mNeWQBkuuAAEUgoJaKridbVOaMLQhUQSjUQEgS8WLlx4PUghpcQwDNraWkkk
+ EghBBejzXFcoQtwsYFgI0fuBJ+e5rvA8d4GhyHzFNEuu6wrP8zryuWxhfHxM
+ qqrC9OnTqa2tITOUobmhgVCGYl5Ly07CULiuKzzXOY70h06vy1vpyn+a0xIS
+ p03s0QULvhuNRvFdL+w1TgbWXNeNARiGQV1dHY7jyGw2y/Dw8Jy1a9eedCEd
+ 50eu605wHKfjA0+9YRgAOI6D67oSYOnSpezZs+cxRVGeTqfTNDQ0oKkq5TBC
+ sWziBwHBKTPgkQsv/FiX8mZgDFA0Xf8LRVGkY9uKU6PNOP1DGIa0trbi+z4D
+ AwPC9/276+rqerds2YLrumd0vj+sfdeuXafjqLWZTIZ33nmHpqYmJndOJQjC
+ k3Io5eWb585d/9V9+85MQADLt2xpBIRQFKnqupAyZLHf0ntynJNXiqKc7BIE
+ gVQUpfuJJ544YwDqqZUrz0hsyZIl7Nq16zIhRM51XRRFQVc1cq6FrusoiiKq
+ Eonaj3Xql2/ZIk8BvSc3Pi4URcE0TT6/Y4fzWxFnlFPGnZTy6W3btv1o9erV
+ Hzrwf6xcmXrqqqu+cF1XF8+tWfORBHbv3n36s/b0xRvVdI63+ggJQghUVT27
+ qMRLa9fyo8cf/57nOCiKwlg2ywvXXz8IYGuaKYQgm82iKArRaFQH2LZt24cO
+ LKVM6pHIEy9+6UtXrti69WMjbL7vN0YiESGlRBHQm7Hf3/FoNHp2BJZv2cLV
+ y5aphmHg+z6z58xBUZQJjy1aNP+SwcGfBopSDMMQKaW0LCtzut8/zJsHwJNX
+ XFG1c+3aKQCmaeJ6HmahsOOpFSsmfxyB119/fex9NSwUxvJlhBAIIVBUNQR4
+ cPbsMxN4YNYscf3LL/u6YeA5jvRPHbzW9vb9CzRtZ5uqHnZcF13X89u3b7/l
+ tPh84623+PuOjkY/CF4UQnQ/fc01fx/4viMAxTDQotHwbOKcuq7fHQSBcH2X
+ udUTGR0ZxohEqLjuNXd3dLT81YEDZybwrYMH5QOzZw8Y0ShBEIiRTOZKwEYI
+ qScSl9coyiLbtmV3dzcAtm2/3/eCCy9MJWtrF4ZShplM5vZYLGaHYQjyrILM
+ p8XoG729vVi+z83z55HuT6MbhjRUdUltVVX7WUXmUvF4WyAllmUFPd3dJ4Be
+ RVFEoqpKRk4CEp7n1a5YseKVrq4u1q84mYfo7+8/WlVVhZQy+OrevaJD1+eW
+ KxWCMESIM6chVq1adfqzwQ8C4oqCKJu82lTGHMuKaDRK1UeE23+PQDyRQFUU
+ 6hoaXuubOnVo+ZYt5/u+/0jZdcW1iYS8MhZjzLZByhzA5ufe48srp97VOakd
+ 13X3Xvezn1XJm2++bW5D466SaYVnswPbt29n1apVtyqaRkzTuLOmhk/V11I3
+ CFos+r6Le1YEFEWZakQiTGlqWvZPixfnAK5+8smvHe/p+cuB0VFxSSrF1uZm
+ Mo5z7corr7wZ4ArZ/n09HkXTtB1503Rfs+1N24b6yTZCaDt82m4urlt55oyR
+ EOL7Bsin6uuZWl0dvtLbRzc2sUgkPNV+duH12vr6Pt/3YXgY9557DCsSkSKd
+ RkyYgNHaKt/Yu1d0JBL864IF4rO796TyG27tfeXQUen7vlRVNQfw6Z/+VPBZ
+ ErdZs4qR6iib/F8XHt7+npAPP9zJse4A3z+p8o0IzJnDD/YfyL890i0fjyRF
+ GvjVwEB4oq8nueNPvpF8vvdQpmya4dDoqHNWCY7Nc+YosUTi79pnzLCcsTGU
+ ZDIYGRm5O1VdTXs0Sl0kwqQpUySVCtsyw+LFw3tYMWEm1TU1v77sxz9e9NIN
+ N7D8VBps5bUtEz9XaN/xufbzz5+YiG1k0qTvMbEJOqaBogEhZPp47tmXWHFh
+ K7zRy3FdY8z3Hx9ynL1RuH+yqtLr+7d+9oknHnhw9mw+qInOKsl33/nnd0yZ
+ PDmM19XR1NlZ7nn99fHaVIoFNbXyUKUibE1lsK/v6Jdee+19OVm3cgYPdx3h
+ 5iumPbEwl/hCVCoYuk6kNoWeTBGLxRAC4mEYGn6ogEDTdYxYTDZ5rkj6HkII
+ xstlHjtw4J7vHjnyv/5bspQ/WbKEG3fv5porGhcuM6Ztn181qTaUoXr1k0+K
+ 022ny01XTOVHL3R/6Dgvf/ObqS37X5vZV87uMXRDRqOKUDSrRxdKlYV/y5Mv
+ DjzzO3mLD1n9T5xmXb9yBpu7jgDw2CWXfD0zPt58x7FjG8+mr7z33k/T07O0
+ z7LuPaEoWONZ9pfGuHTi1Ac+veVfb/2wOc5Z+fGSJb+zQh8J+s47T76//e18
+ eNNNRXnzzfKNG28Mf7p8efqRORdUX9Fe1wnw0g03/MEYxLkiJ++8E/G3f0v4
+ N39Tx/79Ukyfng3TaRRNy+8sl/NHuruVP3/zzfZ/u+wycf0rr8hPOo84lzsU
+ PvRQGydO7BG53KQTYUjBsnJvaNrSrz3++CGARy66SHx17175X5nj3O3An/1Z
+ C4oyAKhv2DZmMtkynE6HX9y+ffSltWtZvmXLf8s8/w/1hUomnSG/mwAAAABJ
+ RU5ErkJggg==

=== debian/rules ===
--- 
+++ 
@@ -24,8 +24,7 @@
 	
 	# icon stuff
 	convert sprites/heada1.gif freedoom.xpm
-	sed -i 's/cyan/None/' freedoom.xpm
-	
+	sed -i 's/#00FFFF/None/' freedoom.xpm
 	touch build-stamp
 
 clean:

=== debian/watch ===
version=3
http://download.savannah.gnu.org/releases-noredirect/freedoom/source/freedoom-(.*)\.tar\.gz

## freedoom 0.8~beta1

=== Makefile ===
--- 
+++ 
@@ -38,7 +38,6 @@
 	$(WADS)/freedoom_sprites.wad  \
 	$(WADS)/freedoom_sounds.wad   \
 	$(WADS)/freedoom_textures.wad \
-	$(WADS)/doom1.wad	          \
 	$(WADS)/doom2.wad             \
 	$(WADS)/doom.wad	      \
 	$(WADS)/freedm.wad
@@ -48,7 +47,6 @@
 subdirs:
 	make -C graphics/titlepic
 	make -C lumps
-	make -C sprites/jond/placeholder
 
 # this is a useless dependency to force builds
 
@@ -62,24 +60,18 @@
 	$(CPP) -DDOOM1 -DULTDOOM < $< > $@
 textures/freedm/texture1.txt: textures/combined.txt
 	$(CPP) -DFREEDM < $< > $@
-textures/shareware/texture1.txt: textures/combined.txt
-	$(CPP) -DSHAREWARE < $< > $@
 
-textures/shareware/pnames.txt: textures/shareware/texture1.txt
-	python2.5 scripts/extract-pnames.py < $< > $@
 textures/doom/pnames.txt: textures/doom/texture1.txt
-	python2.5 scripts/extract-pnames.py -a > $@
+	scripts/extract-pnames.py -a > $@
 textures/doom2/pnames.txt: textures/doom2/texture1.txt 
-	python2.5 scripts/extract-pnames.py -a > $@
+	scripts/extract-pnames.py -a > $@
 textures/freedm/pnames.txt: textures/freedm/texture1.txt
-	python2.5 scripts/extract-pnames.py -a > $@
+	scripts/extract-pnames.py -a > $@
 
 # update wadinfo.txt
 
 wadinfo.txt: buildcfg.txt force textures/doom2/pnames.txt
 	$(CPP) -P -DDOOM2 < $< | scripts/wadinfo-builder.py > $@
-wadinfo_sw.txt: buildcfg.txt force textures/shareware/pnames.txt
-	$(CPP) -P -DSHAREWARE < $< | scripts/wadinfo-builder.py -dummy > $@
 wadinfo_iwad.txt: buildcfg.txt force textures/doom2/pnames.txt
 	$(CPP) -P -DDOOM2 < $< | scripts/wadinfo-builder.py -dummy > $@
 wadinfo_ult.txt: buildcfg.txt force textures/doom/pnames.txt
@@ -92,6 +84,10 @@
 	chmod o-r $<
 	md5sum $<.gz > $<.md5sum
 	rm -f $<
+
+# deutex doesnt allow redirects for the filenames in the texture
+# entries, so we have to change the texture1 symlink to point
+# to whichever wad we are working on
 
 #---------------------------------------------------------
 # build wad
@@ -154,17 +150,7 @@
 	rm -f $@
 	$(DEUTEX) $(DEUTEX_ARGS) -sounds -musics -build wadinfo.txt $@
 
-#---------------------------------------------------------
-# shareware iwad
-# 
-# deutex doesnt allow redirects for the filenames in the texture
-# entries, so we have to change the texture1 symlink to point
-# to the shareware wad
 
-$(WADS)/doom1.wad : wadinfo_sw.txt force
-	ln -sf shareware/texture1.txt textures/texture1.txt
-	rm -f $@
-	$(DEUTEX) $(DEUTEX_ARGS) -iwad -build wadinfo_sw.txt $@
 
 dist : $(OBJS)
 	scripts/makepkgs $(OBJS)
@@ -186,10 +172,7 @@
 		./textures/doom2/texture1.txt \
 		./textures/freedm/pnames.txt \
 		./textures/freedm/texture1.txt \
-		./textures/shareware/pnames.txt \
-		./textures/shareware/texture1.txt \
 		./textures/texture1.txt
 
 	make -C lumps clean
 	make -C graphics/titlepic clean
-	make -C sprites/jond/placeholder clean

=== lumps/Makefile ===

all : freedoom.lmp freedm.lmp misc-lumps genmidi-lump

misc-lumps:
	make -C cph/misc-lumps

genmidi-lump:
	make -C genmidi

freedoom.lmp: force
	echo $(VERSION) > freedoom.lmp

freedm.lmp: force
	echo $(VERSION) > freedm.lmp

force:

clean:
	make -C cph/misc-lumps clean
	make -C genmidi clean

=== debian/changelog ===
freedoom (0.8~beta1-1) unstable; urgency=low

  [ Fabian Greffrath ]
  * Add myself to Uploaders.
  * Imported Upstream version 0.8~beta1. Closes: #691399.
  * Do not install empty usr/share/games/{doom,freedoom} directories.
  * Mangle the upstream version in debian/watch,
    they use minus instead of tilde to indicate beta versions.
  * Convert to "3.0 (quilt)" source format.
  * Convert debian/rules to dh7 style, bump debhelper compat to 9,
    simplify things a bit.
  * Change versioned Conflicts to Breaks.
  * Run "wrap-and-sort -asb".
  * Compress binary packages with xz.

  [ Jon Dowland ]
  * Initial parallel build support (much more work needed)
  * Bump standards version. Changes:
    * fold Build-Depends-Indep into Build-Depends (not needed for
      Architecture: all)

 -- Jon Dowland <jmtd@debian.org>  Fri, 26 Oct 2012 08:08:25 +0100

=== debian/control ===
Source: freedoom
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Fabian Greffrath <fabian+debian@greffrath.com>,
 Jon Dowland <jmtd@debian.org>
Build-Depends:
 debhelper (>= 9),
 deutex,
 gsfonts,
 imagemagick,
 python (>= 2.4)
Standards-Version: 3.9.4
Vcs-Git: git://git.debian.org/git/pkg-games/freedoom
Vcs-Browser: http://git.debian.org/?p=pkg-games/freedoom.git
Homepage: http://freedoom.nongnu.org/
DM-Upload-Allowed: yes

Package: freedm
Architecture: all
Depends:
 boom-engine,
 ${misc:Depends}
Pre-Depends:
 dpkg (>= 1.15.6~)
Provides:
 boom-wad
Breaks:
 prboom (<< 2:2.5.0+dfsg1-5)
Description: multiplayer-oriented maps for Doom
 Freedoom is a project to create a complete Doom II-compatible IWAD file
 which is Free Software.
 .
 FreeDM is a sub-project to create a set of levels designed for deathmatch
 play.
 .
 FreeDM does not require Freedoom to play and can be used in conjunction
 with a boom-engine. Please note that this is designed for multiplayer and
 will not be of much use for single player.

Package: freedoom
Architecture: all
Depends:
 boom-engine,
 ${misc:Depends}
Pre-Depends:
 dpkg (>= 1.15.6~)
Provides:
 boom-wad
Breaks:
 prboom (<< 2:2.5.0+dfsg1-5)
Description: free game files for the 3D game DOOM
 Freedoom is a project to create a complete Doom II-compatible IWAD file
 which is Free Software.
 .
 The IWAD file is the file used by Doom which contains all the game data
 (graphics, sound effects, music, etc.). While the Doom source code is
 Free, you currently still need one of the proprietary IWAD files from id
 in order to play Doom. Freedoom aims to create a Free alternative.
 .
 Combined with any boom compatible Doom engine (such as prboom) this will
 result in a complete Free Doom-based game.

=== debian/rules ===
#!/usr/bin/make -f

# upstream makefile invokes 'deutex' which lives in
# /usr/games
PATH := /usr/games:$(PATH)

%:
	dh $@ --parallel

override_dh_auto_build:
	$(MAKE) wads/doom2.wad
	$(MAKE) wads/freedm.wad
	mv -i wads/doom2.wad wads/freedoom.wad
	
	# icon stuff
	convert sprites/heada1.gif freedoom.xpm
	sed -i 's/cyan/None/' freedoom.xpm
	convert sprites/sht2a0.gif freedm.xpm
	sed -i 's/cyan/None/' freedm.xpm

override_dh_installdocs:
	dh_installdocs -A CREDITS NEWS README

override_dh_builddeb:
	dh_builddeb -- -Zxz

=== debian/watch ===
version=3
opts="uversionmangle=s/-/~/" \
http://download.savannah.gnu.org/releases-noredirect/freedoom/source/freedoom-(.*)\.tar\.gz
